Package com.google.android.exoplayer2.ui

## Class AdOverlayInfo.Builder

- java.lang.Object
- - com.google.android.exoplayer2.ui.AdOverlayInfo.Builder

- Enclosing class:
    AdOverlayInfo

      public static final class AdOverlayInfo.Builder
      extends Object

  A builder for `AdOverlayInfo` instances.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Builder​(View view, @com.google.android.exoplayer2.ui.AdOverlayInfo.Purpose int purpose)` | Creates a new builder.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AdOverlayInfo` | `build()` | Returns a new `AdOverlayInfo` instance with the current builder values.
    `AdOverlayInfo.Builder` | `setDetailedReason​(String detailedReason)` | Sets an optional, detailed reason that the view is on top of the player.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder​(View view,
                         @Purpose
                         @com.google.android.exoplayer2.ui.AdOverlayInfo.Purpose int purpose)

      Creates a new builder.
      Parameters:
        `view` - The view that is overlaying the player.
        `purpose` - The purpose of the view.

  - ### Method Detail

    - #### setDetailedReason

          @CanIgnoreReturnValue
          public AdOverlayInfo.Builder setDetailedReason​(@Nullable
                                                         String detailedReason)

      Sets an optional, detailed reason that the view is on top of the player.
      Returns:
        This builder, for convenience.

    - #### build

          public AdOverlayInfo build()

      Returns a new `AdOverlayInfo` instance with the current builder values.